		LIST	P = 17C44

		INCLUDE <P17C44.INC>	; P17C44 include file

		INCLUDE <MATH17.INC>    ; PIC17 math library definitions

;**********************************************************************************************
;**********************************************************************************************

                org             0x0000

;       All arguments to the routines in the math library are passed through the locations

;		AEXP,AARGB0,AARGB1,AARGB2,AARGB3

;		BEXP,BARGB0,BARGB1,BARGB2,BARGB3

;	with the result in

;		AEXP,AARGB0,AARGB1,AARGB2,AARGB3,

;	except for the floating point relational operations, returning a logical result in WREG.
;	Floating point operands have the biased exponent in xEXP, followed by the normalized
;	fraction left justified to xARGB0 with its implicit MSB replaced by the sign bit.

;**********************************************************************************************

;	For the unary operations, evaluating functions of one variable, load the argument
;	into AARG and call the relevant routine. For example, to evaluate the square root
;	of the floating point number 0x823C5198, load the value into AARG and call SQRT32.
;	The unrounded floating point result, 0x805B911C, is returned in AEXP,AARGB0,AARGB1,
;	AARGB2, with the next significant byte, 0x00 in AARGB3.

		MOVLW	0x82
		MOVWF	AEXP
		MOVLW	0x3C
		MOVWF	AARGB0
		MOVLW	0x51
		MOVWF	AARGB1
		MOVLW	0x98
		MOVWF	AARGB2

		CALL	SQRT32

;	For the binary operations, dependent on two variables, load the arguments into
;	AARG and BARG and call the appropriate routine. For example, evaluation of the
;	power function pow(x,y) = x**y, for x = 0x823C5198 and y = 0x7ED3A57F, load x and
;	y into AARG and BARG and call POW32. The unrounded floating point result, 0x7C055DA2, is
;	returned in AEXP,AARGB0,AARGB1,AARGB2, with the next significant byte, 0xFA in AARGB3.


		MOVLW	0x82
		MOVWF	AEXP
		MOVLW	0x3C
		MOVWF	AARGB0
		MOVLW	0x51
		MOVWF	AARGB1
		MOVLW	0x98
		MOVWF	AARGB2

		MOVLW	0x7E
		MOVWF	BEXP
		MOVLW	0xD3
		MOVWF	BARGB0
		MOVLW	0xA5
		MOVWF	BARGB1
		MOVLW	0x7F
		MOVWF	BARGB2

		CALL	POW32

SELF		GOTO	SELF

;**********************************************************************************************

;	The following files include all routines in the library and all possible dependencies
;	for convenience in illustrating calls to library routines. In a specific case, only
;	the routine of interest and its dependencies need be included (see AN660).

		INCLUDE <EF32.A17>

		INCLUDE <FP32.A17>

		INCLUDE <FP24.A17>

		INCLUDE <FXM.A17>

;**********************************************************************************************

		END

