		LIST	P = 16C74

		INCLUDE <P16C74.INC>	; P16C74 include file

		INCLUDE <DEV_FAM.INC>	; PIC16 device specific definitions

		INCLUDE <MATH16.INC>    ; PIC16 math library definitions

		INCLUDE <MATH16.MAC>	; PIC16 elementary function macros

;**********************************************************************************************
;**********************************************************************************************

                org             0x0000

;       All arguments to the routines in the math library are passed through the locations

;		AEXP,AARGB0,AARGB1,AARGB2,AARGB3

;		BEXP,BARGB0,BARGB1,BARGB2,BARGB3

;	with the result in

;		AEXP,AARGB0,AARGB1,AARGB2,AARGB3,

;	except for the floating point relational operations, returning a logical result in WREG.
;	Floating point operands have the biased exponent in xEXP, followed by the normalized
;	fraction left justified to xARGB0 with its implicit MSB replaced by the sign bit.

;**********************************************************************************************

;	For the unary operations, evaluating functions of one variable, load the argument
;	into AARG and call the relevant routine. For example, to evaluate the square root
;	of the floating point number 0x823C5198, load the value into AARG and call SQRT32.
;	The unrounded floating point result, 0x805B911B, is returned in AEXP,AARGB0,AARGB1,
;	AARGB2, with the next significant byte, 0xC6 in AARGB3.

		MOVLW	0x82
		MOVWF	AEXP
		MOVLW	0x3C
		MOVWF	AARGB0
		MOVLW	0x51
		MOVWF	AARGB1
		MOVLW	0x98
		MOVWF	AARGB2

		CALL	SQRT32

SELF		GOTO	SELF

;**********************************************************************************************

;	The following files include all routines in the floating point library, together with
;	specific dependencies for the square root function. In general, only the routine of 
;	interest and its dependencies need be included (see AN660).

		INCLUDE <SQRT32.A16>

		INCLUDE <FP32.A16>

		INCLUDE <FXM22.A16>

		INCLUDE <RND4032.A16>

;**********************************************************************************************

		END

